Returns all of the profile's saved LinkedIn job alerts in the case, newest first, in a single unpaginated list. On a case shared with opposing counsel, a profile the caller may not see returns an empty list.
GET
/linkedin/{caseId}/{linkedInId}/saved-job-alerts
curl \
--request GET 'http://api.example.com/linkedin/{caseId}/{linkedInId}/saved-job-alerts' \
--header "Authorization: Bearer $ACCESS_TOKEN"
Response examples (200)
{
"data": {
"total": 42,
"page": 1,
"perPage": 20,
"skip": 0,
"limit": 20,
"totalPages": 3,
"nextPage": 2,
"previousPage": 42.0,
"data": [
{
"createdAt": "2026-01-15T14:30:00.000Z",
"updatedAt": "2026-01-15T14:30:00.000Z",
"id": "507f1f77bcf86cd799439011",
"savedSearchId": "1234567890",
"alertParameters": "keywords:paralegal,location:Chicago, Illinois",
"queryContext": "JOB_SEARCH"
}
]
},
"statusCode": 200,
"timestamp": "2026-01-15T10:15:00.000Z"
}